package response

import (
	"encoding/json"
	"errors"

	"github.com/go-resty/resty/v2"
)

type Message struct {
	Message string
}

func ErrorToMsg(resp *resty.Response) error {
	var msg Message
	if err := json.Unmarshal(resp.Body(), &msg); err != nil {
		return errors.New("Error: " + err.Error())
	}
	return errors.New(msg.Message)
}
